Skip to main content

Get document's contents

GET 

/documents/:documentId/content

Retrieves the content of the document with the specified documentId.

  • If the content is plain text and under 6 MB, the content will be returned directly.
  • If the content is plain text but exceeds 6 MB, an error will be returned.
  • For documents not in plain text format, pre-signed S3 URLs will be returned to download the content from S3. It is recommended to use the /documents/{documentId}/url endpoint to retrieve pre-signed S3 URLs for downloading the content.

If the document has a Content-Type of text/, application/json, application/x-www-form-urlencoded the content field will be returned. All other Content-Type, the contentUrl field will be returned, which is a S3 Presigned url.

Request​

Responses​

200 OK

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers
    Location